=== debian/changelog ===
kyotocabinet (1.2.76-4) unstable; urgency=low

  * use breaks/replaces for smooth upgrades following man page move
      from -doc -> -utils
  * do not unconditionally use -m64 when available (Closes: #680058)
  * obey DEB_BUILD_OPTIONS=noopt of Policy 4.9.1
  * disable -rpath linking per recommended practice
  * provide convenience names (libkyotocabinet16-dev, libkyotocabinet-dbg)
  * switch to xz (-2) compression for debs
  * fix link to kyotoproducts.pdf to point to Internet
  * GNU/kFreeBSD
    - support kyotocabinet::getsysinfo() on GNU/kFreeBSD
    - link with --as-needed on GNU/kFreeBSD as well as Linux
  * include <unistd.h> in kccommon.h for gcc-4.7 compatibility

 -- Shawn Landden <shawnlandden@gmail.com>  Wed, 11 Jul 2012 13:12:43 -0700

kyotocabinet (1.2.76-3) unstable; urgency=low

  * workaround for dh_installdoc leaving empty folder is not necessary
      on buildds

 -- Shawn Landden <shawnlandden@gmail.com>  Sun, 01 Jul 2012 18:50:23 -0700

kyotocabinet (1.2.76-2) unstable; urgency=low

  * include static library (libkyotocabinet.a) in -dev deb per §8.3
  * consolidate and clean up docs
    - fixed api/index.html link to work without a web server
  * include examples in doc package
  * improve test for atomics to remove special casing, could be prettier however
    - fixes FTBFS on 32-bit powerpc 

 -- Shawn Landden <shawnlandden@gmail.com>  Sat, 30 Jun 2012 10:39:24 -0700

kyotocabinet (1.2.76-1) unstable; urgency=low

  * Initial release. (Closes: #613450)

 -- Shawn Landden <shawnlandden@gmail.com>  Thu, 07 Jun 2012 16:12:07 -0700
