=== debian/changelog ===
kyotocabinet (1.2.79-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libtool.
    + kyotocabinet-utils: Drop versioned constraint on kyotocabinet-doc in
      Replaces.
    + kyotocabinet-utils: Drop versioned constraint on kyotocabinet-doc in
      Breaks.

  [ Boyuan Yang ]
  * debian/control: Mark kyotocabinet-doc as M-A: foreign.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Oct 2022 22:06:05 -0400

kyotocabinet (1.2.79-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Refresh information.
  * Refresh patches:
    - test-disable-dir-db-test-fails-on-tmpfs-btrfs.patch:
      Dropped, upstream has fixed the failing test.
    - cpp-14.patch: Dropped, merged upstream.
    - doc-kyotoproducts.pdf.patch: Update with new URL.

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Aug 2021 09:45:55 -0400

kyotocabinet (1.2.76-5) unstable; urgency=medium

  * Upload to unstable.
  * Take over package maintenance through ITS process.
    (Closes: #987174)

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Aug 2021 00:09:28 -0400

kyotocabinet (1.2.76-5~exp2) experimental; urgency=medium

  * debian/rules: Restore --link-doc option in dh_installdocs.
    (Closes: #990227)
  * debian/rules: Drop outdated override to dh_makeshlibs.
  * debian/patches: Add patch to reenable debug symbol generation.

 -- Boyuan Yang <byang@debian.org>  Tue, 20 Jul 2021 15:16:50 -0400

kyotocabinet (1.2.76-5~exp1) experimental; urgency=medium

  * Take over package maintenance through ITS process.
    (See #987174)
  * debian/control: Update Vcs-* fields to use Debian GitLab platform.
  * debian/control:
    + Bump Standards-Version to 4.5.1.
    + Bump debhelper-compat to v13.
    + Migrate to -dbgsym package.

 -- Boyuan Yang <byang@debian.org>  Thu, 17 Jun 2021 11:02:01 -0400

kyotocabinet (1.2.76-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix incompatibility with C++14/GCC 6 (Closes: #811627)

 -- Andreas Stührk <andy@hammerhartes.de>  Sat, 24 Sep 2016 17:58:05 +0200

kyotocabinet (1.2.76-4.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Steve Langasek ]
  * Rename library packages for g++5 ABI transition.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 15 Aug 2015 12:16:02 +0200
