=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: kyotocabinet
 Section: utils
 Priority: optional
-Maintainer: Shawn Landden <shawnlandden@gmail.com>
-Build-Depends: debhelper (>= 9),
- dpkg-dev (>= 1.16.1),
- automake,
- libtool (>= 2.2),
+Maintainer: Boyuan Yang <byang@debian.org>
+Build-Depends: debhelper-compat (= 13),
+ libtool,
  zlib1g-dev,
  liblzma-dev,
- liblzo2-dev
-Standards-Version: 3.9.3
-Vcs-Browser: http://git.debian.org/?p=collab-maint/kyoto-cabinet.git
-Vcs-Git: git://git.debian.org/collab-maint/kyoto-cabinet.git
-Homepage: http://fallabs.com/kyotocabinet/
+ liblzo2-dev,
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/debian/kyotocabinet
+Vcs-Git: https://salsa.debian.org/debian/kyotocabinet.git
+Homepage: https://dbmx.net/kyotocabinet/
 
-Package: libkyotocabinet16
+Package: libkyotocabinet16v5
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
+Conflicts: libkyotocabinet16
+Replaces: libkyotocabinet16
 Description: Straightforward implementation of DBM - shared library
  Kyoto Cabinet is a library of routines for managing a database. The
  database is a simple data file containing records, each is a pair of
@@ -30,30 +30,10 @@
  hash table or B+ tree.
  .
  This package contains the shared library.
- 
-Package: libkyotocabinet16-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Depends: libkyotocabinet16 (= ${binary:Version}), ${misc:Depends}
-Provides: libkyocabinet-dbg
-Multi-Arch: same
-Description: Straightforward implementation of DBM - debugging symbols
- Kyoto Cabinet is a library of routines for managing a database. The
- database is a simple data file containing records, each is a pair of
- a key and a value. Every key and value is serial bytes with variable
- length. Both binary data and character string can be used as a key and
- a value. Each key must be unique within a database. There is neither
- concept of data tables nor data types. Records are organized in
- hash table or B+ tree.
- .
- This package contains the debugging symbols for the shared library.
 
 Package: kyotocabinet-utils
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kyotocabinet-doc (<< 1.2.76-2)
-Breaks: kyotocabinet-doc (<< 1.2.76-2)
 Recommends: kyotocabinet-doc
 Multi-Arch: foreign
 Description: Straightforward implementation of DBM - utilities
@@ -72,7 +52,8 @@
 Package: kyotocabinet-doc
 Section: doc
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: foreign
+Depends: ${misc:Depends}
 Suggests: libkyotocabinet-dev
 Description: Straightforward implementation of DBM - docs
  Kyoto Cabinet is a library of routines for managing a database. The
@@ -100,7 +81,7 @@
 Section: libdevel
 Multi-Arch: same
 Architecture: any
-Depends: libkyotocabinet16 (= ${binary:Version}), ${misc:Depends},
+Depends: libkyotocabinet16v5 (= ${binary:Version}), ${misc:Depends},
  zlib1g-dev,
  liblzma-dev,
  liblzo2-dev
@@ -115,4 +96,3 @@
  hash table or B+ tree.
  .
  This package contains the development headers.
-
