=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/dpkg/architecture.mk

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CONFIG_OPTS += --disable-opt
endif

override_dh_auto_configure:
	dh_auto_configure -- \
	        --enable-zlib \
	        --enable-lzo \
	        --enable-lzma \
	        --prefix=/usr \
	        $(CONFIG_OPTS)

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp prefix=/usr install

override_dh_installdocs-arch:
	# does not apply to kyotocabinet-doc
	dh_installdocs --arch --link-doc=libkyotocabinet16v5

execute_after_dh_installdocs-indep:
	# mega-lameness, seem to not be necessary on buildds, but with cowbuilder/pbuilder?
	rm -rf $$(pwd)/debian/kyotocabinet-doc/usr/share/doc/libkyotocabinet16v5

override_dh_strip:
	dh_strip --dbgsym-migration='libkyotocabinet16v5-dbg (<< 1.2.76-5~)'

%:
	dh $@
