## kyotocabinet 1.2.80

=== debian/changelog ===
kyotocabinet (1.2.80-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Mar 2024 19:25:40 -0500

kyotocabinet (1.2.80-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Mon, 12 Jun 2023 16:36:47 -0400

kyotocabinet (1.2.80-1~exp1) experimental; urgency=medium

  * New upstream release.
    + No actual change; modification patched out in Debian already.
  * debian/rules: Drop dh_strip override after migration.
  * debian/patches: Refreshed.

 -- Boyuan Yang <byang@debian.org>  Wed, 19 Apr 2023 08:47:49 -0400
