=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: kyotocabinet
 Section: utils
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13),
  libtool,
  zlib1g-dev,
  liblzma-dev,
  liblzo2-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/kyotocabinet
 Vcs-Git: https://salsa.debian.org/debian/kyotocabinet.git
 Homepage: https://dbmx.net/kyotocabinet/
