=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,5 @@
 	# mega-lameness, seem to not be necessary on buildds, but with cowbuilder/pbuilder?
 	rm -rf $$(pwd)/debian/kyotocabinet-doc/usr/share/doc/libkyotocabinet16v5
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='libkyotocabinet16v5-dbg (<< 1.2.76-5~)'
-
 %:
 	dh $@
