=== debian/watch ===
version=3

https://dbmx.net/kyotocabinet/pkg/ kyotocabinet-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz|lzma)))
